Skip to content

Return the list of workspace users.

GET
/api/workspace/users
curl --request GET \
--url https://example.com/api/workspace/users
  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Summary projection for a workspace user.

object
Id

User identifier.

string
nullable
UserName

Login user name.

string
nullable
Email

Optional email address.

string
nullable
FirstName

First name.

string
nullable
LastName

Last name.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
IsBlocked

Whether the user is blocked from signing in.

boolean
IsDeleted

Whether the user is soft deleted.

boolean
Avatar

Avatar presentation values for a workspace user.

object
Initials

Initials derived from the user name.

string
nullable
BackgroundColor

Hex color for the avatar background.

string
nullable
TextColor

Hex color for the avatar text.

string
nullable
Roles

Roles assigned to this user.

Array<object>
nullable

Summary of a workspace role.

object
Id

Role identifier.

string
nullable
Name

Role display name.

string
nullable
Description

Role description.

string
nullable
AutoAssign

Whether the role is auto-assigned to new users.

boolean
IsSystem

Whether the role is a protected system role.

boolean
UserCount

Number of users assigned to this role.

integer format: int32
PermissionCount

Number of permissions assigned to this role.

integer format: int32
Tags

Tag names assigned to the role.

Array<string>
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"UserType": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}